APPORT_FILES in launchpad.py seems hard to manage

Bug #444975 reported by Brian Murray
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Fix Released
Medium
Martin Pitt

Bug Description

Binary package hint: apport

In crashdb_impl/launchpad.py we have:

APPORT_FILES = ('Dependencies.txt', 'CoreDump.gz', 'ProcMaps.txt',
        'Traceback.txt', 'Disassembly.txt', 'Registers.txt', 'Stacktrace.txt',
        'ThreadStacktrace.txt', 'DpkgTerminalLog.txt', 'DpkgTerminalLog.gz' )
def filter_filename(attachments):
    for attachment in attachments:
        f = attachment.data.open()
        name = f.filename
        if name in APPORT_FILES or name.startswith('VarLogDistupgrade'):
            yield f

which specifies which attachments are searchable by bug patterns. So if I want to search BootDmesg.txt, which is added by the linux package hook, I'd need to add it to APPORT_FILES. I don't think this scales very well though.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

I've got a bugpattern that I want to push, but needs this issue resolved first as my bug pattern needs to search either OopsText.txt or BootDmesg.txt.

ogasawara@emiko:~/ubuntu-bugpatterns$ bzr diff
=== modified file 'linux.xml'
--- linux.xml 2009-08-28 00:20:55 +0000
+++ linux.xml 2009-10-15 23:02:26 +0000
@@ -23,4 +23,7 @@
     <pattern url="https://bugs.launchpad.net/bugs/417222">
         <re key="DpkgTerminalLog">/boot/grub/menu.lst: Operation not supported</re>
     </pattern>
+ <pattern url="https://bugs.launchpad.net/bugs/422536">
+ <re key="OopsText">EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.</re>
+ </pattern>
 </patterns>

Changed in apport (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Martin Pitt (pitti)
Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Revision history for this message
Brian Murray (brian-murray) wrote :

I just ran into this again with WifiSyslog.txt which is used by the network-manager package hook.

Revision history for this message
Martin Pitt (pitti) wrote :

trunk r1689

Changed in apport (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.11-0ubuntu2

---------------
apport (1.11-0ubuntu2) lucid; urgency=low

  * launchpad.py: Remove a snippet of redundant code.
  * Merge bug fixes from trunk:
    - launchpad.py: Drop APPORT_FILES whitelist for download() and instead
      just filter out file extensions that we know about (*.txt and *.gz).
      (LP: #444975)
  * Enable Apport by default again.
 -- Martin Pitt <email address hidden> Tue, 05 Jan 2010 18:30:19 +0100

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers